PRINT "To make a 12-column data file (Seilinger type) out of a 2-column file."
PRINT "(Heading lines not permitted!). Special for 4He files"

'INPUT "Enter mass number of He ion): "; M$
M$ = "4"
Line1$ = "  2 " + M$

INPUT "Enter chemical symbol of target (at most 5 digits): "; Tg$
Line1$ = Line1$ + Tg$ + SPACE$(7 - LEN(Tg$))

'PRINT "Enter state of target"
'INPUT "s...solid l...liquid g...gas a...amorphous C G...graphite: "; State$
State$ = "s"
Line1$ = Line1$ + State$

INPUT "Enter 3-digit relative error starting with ., e.g, .050 :"; Error$

INPUT "Enter 4-digit reference without a, b, c: "; Ref$

INPUT "Enter 1-digit no. of publication within year (1 for a, 2 for b): "; No$

'PRINT "The following numbers should be entered, but are not normally used."

'INPUT "Enter no. of measurement (1 or 2 dig.) within the publication (0 permitted): "; Meas$
Meas$ = "0"
Meas$ = SPACE$(3 - LEN(Meas$)) + Meas$
Flag$ = " 1. "
'INPUT "Enter 2-digit number for principle of measurement: "; Princ$
Princ$ = "00"
Line2$ = Error$ + " " + Ref$ + " " + No$ + Meas$ + Flag$ + Princ$

'PRINT "Now enter 2-column data file (keV, 10^(-15)eVcm2)!"
INPUT "Enter names of input file, output file: "; InFile$, OutFile$
'InFile$ = "Ca.04": OutFile$ = "Ca.004"
OPEN InFile$ FOR INPUT AS #1: OPEN OutFile$ FOR OUTPUT AS #2

start: DO WHILE NOT EOF(1)
        INPUT #1, E, s
        
        PRINT USING "& #####.### ###.#### &"; Line1$; E; s; Line2$
        PRINT #2, USING "& #####.### ###.#### &"; Line1$; E; s; Line2$
LOOP
END





